View Issue Details

IDProjectCategoryView StatusLast Update
0013538Tine 2.0CalDAVpublic2017-11-23 11:50
ReportercweissAssigned Tocweiss 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2016.11.12 Egon Business Edition 
Target Version2016.11.15 Egon Business EditionFixed in Version2016.11.15 Egon Business Edition 
Summary0013538: macOS 10.13 - event exceptions mixed up after THISANDFUTURE update
DescriptionmacOS 10.13 - event exceptions mixed up after THISANDFUTURE update
Steps To Reproduce* create daily event
* delete start+1 (THIS)
* change start+2 (THIS)
* delete start+4 (THIS)
* change start+5 (THIS)
* change start+3 (THISANDFUTURE)

-> exceptions are mixed up
TagsNo tags attached.
mwticket

Activities

cweiss

cweiss

2017-10-09 18:20

administrator   ~0020910

iCal changed the way THISANDFUTURE is implemented:

in the good old days the old series was finished at the split date and a new series was created

now:
* the a new series is created for the past/left side series
* the future/right side series remains
* no reference between the series - independend PUT requests
=> (past) exceptions of the existing series can't move to the newly created series
cweiss

cweiss

2017-10-11 17:41

administrator   ~0020926

https://gerrit.tine20.com/customers/c/5975/

Issue History

Date Modified Username Field Change
2017-10-09 18:16 cweiss New Issue
2017-10-09 18:16 cweiss Assigned To => cweiss
2017-10-09 18:20 cweiss Note Added: 0020910
2017-10-11 17:41 cweiss Status new => gerrit
2017-10-11 17:41 cweiss Note Added: 0020926
2017-10-19 10:34 pschuele Target Version 2016.11.13 Egon Business Edition => 2016.11.14 Egon Business Edition
2017-11-23 11:50 pschuele Target Version 2016.11.14 Egon Business Edition => 2016.11.15 Egon Business Edition
2017-11-23 11:50 pschuele Status gerrit => resolved
2017-11-23 11:50 pschuele Resolution open => fixed
2017-11-23 11:50 pschuele Fixed in Version => 2016.11.15 Egon Business Edition